Multivariate Pattern Analysis in Python

### Navigation

- index
- modules |
- modules |
- previous |
- PyMVPA Home |
- Sitemap »
- PyMVPA User Manual »
- Miscellaneous »
- mvpa2.misc.support »

# mvpa2.misc.support.SmartVersion

class `mvpa2.misc.support.``SmartVersion`(vstring=None)

  A bit evolved comparison of versions

  The reason for not using python’s distutil.version is that it seems to have no clue about somewhat common conventions of using ‘-dev’ or ‘dev’ or ‘rc’ suffixes for upcoming releases (so major version does contain upcoming release already).

  So here is an ad-hoc and not as nice implementation

  Methods

  `parse`(vstring) |

  `parse`(vstring)

### Navigation

- index
- modules |
- modules |
- previous |
- PyMVPA Home |
- Sitemap »
- PyMVPA User Manual »
- Miscellaneous »
- mvpa2.misc.support »